#pragma once
#include "line_sensors.h"
#include "vl53l0x.h"

#define threshold 300 //black color limit
//#define k_p 0.2
#define line_k_p 0.15
#define line_k_d 12000

#define wall_k_p 1
#define wall_k_d 0

int64_t line_reg(LineSensors *sensors); //line regulator function

int16_t silver_reg(LineSensors *sensors);

int16_t wall_reg(LineSensors *sensors, bool *wall);
